Loading...
Searching...
No Matches
BALL::TMutex< MutexType > Class Template Reference

`#include <BALL/SYSTEM/mutex.h>`

Inheritance diagram for BALL::TMutex< MutexType >:

## Public Member Functions

| TMutex (bool is_recursive=false)

## Detailed Description

template<class MutexType>
class BALL::TMutex< MutexType >

This class provides a very thin wrapper around different mutex types. As default, BALL supports QMutex, but if it has been configured with boost::thread support enabled, boost::mutex can also be used. Similarly, we can simply provide instantiations using, e.g, Intel thread building blocks.

A BALL-mutex needs to provide the functions void lock(), void unlock(), and bool tryLock().

Definition at line 41 of file mutex.h.

## Constructor & Destructor Documentation

## TMutex()

template<class MutexType>

BALL::TMutex< MutexType >::TMutex | ( | bool | is_recursive = false | ) |

inline

Definition at line 45 of file mutex.h.